Bug 7630 - злой взгляд на sudoers
: злой взгляд на sudoers
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/man-pages-ru)
: unstable
: all Linux
: P2 normal
Assigned To:
:
: http://article.gmane.org/gmane.linux....
:
:
:
  Show dependency tree
 
Reported: 2005-08-10 03:00 by
Modified: 2007-09-27 23:06 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-08-10 03:00:39
URL
------- Comment #1 From 2005-08-10 13:28:38 -------
А толку-то зло смотреть? Там по-новой переводить надо. Может и доберусь
когда-нибудь.
------- Comment #2 From 2005-08-10 17:57:01 -------
я ж не просто так смотрю, а со ссылкой :-)
------- Comment #3 From 2005-08-15 13:27:07 -------
(In reply to comment #0)

[skip]
> <standard input>:17: missing closing delimiter
> <standard input>:19: missing closing delimiter
[skip]

Во всех этих сообщениях одна и та же ошибка: \s\-1TEXT\s0 Этот фрагмент и выдает
ошибки. Я не знаю, что он значит (беглый просмотр man 7 man тоже ничего не дал),
но если это удалить, то man больше не ругается и оформление тоже не изменяется.
Так что заклинание от php-coder'a будет следующим:

subst 's/\\s\\-1//g' sudoers.5
subst 's/\\s0//g' sudoers.5

После этого наступает УМВР =)

[skip]
> Краткое руководство по -1EBNF
[skip]
> По версии man - везде просто "BNF".
> Резюме - разметка? Кодировка?

См. выше. У этих ошибок общий корень. Там еще есть ошибки, где перед словами
появляется единичка, это тоже по этой причине. После вышеприведенного заклинания
эти ошибки отпадут сами собой.

[skip]
> PS: стоит ли говорить "каталог" ? Возможно хорошо, если
> бы этот термин прижился, но...
[skip]

IMHO стОит. "Каталог" -- это и есть перевод слова directory на русский. А вот
диретокрия -- это не перевод, это калька на русский :) AFAIK.

[skip]
> AS: выше были параметры командной строки, а тут - аргументы.
[skip]

IMHO это прелести русского языка -- у нас синонимов много. И при переводе это
даже удобно, чтобы не повторятся использовать синонимы. Хотя, наверное, это во
многом зависит от переводчика.


Вообщем, ничего особенно сложного не вижу. Почти все тривиально и не сложно
правится, особенно при наличии исходника с которого переводили. Я думаю, что
sass@ должен выдать вам английский исходник + несколько советов, а вы сделать
патч, который потом и примут ;-)

------- Comment #4 From 2005-08-15 13:57:22 -------
я просто перечислял ошибки. Кто будет править - не знаю.
Я на sed'e не рахговариваю и закоинаний опдсказать не мог - потому просто 
перечислил, чтобыкто угодно мог править.

Насчет каталога - справка должна быть понятной и однородной. Есть в Linux 
Documentation Project стандарты как переводить - значит надо их узнать и 
выполнять. Нет - мой голос за "папку".

>при переводе это даже удобно, чтобы не повторятся использовать синонимы
При переводе художественных текстов.
Когда описываются матем. формулы или куски программы или, как здесь, настройки
- 
то перевод должен быть четким и исключающим путаницу. Потому надо решиться на 
одно ккакое-то слово. М.б. у LDP есть рекоменации.

Не умею я делать патчи и маны :-) И вообще info лучшее :-)
Советами там не поможешь - там есть несколько вопросов, которые надо обсуждать
в 
форуме, когда своб. время будет.

PS: спасибо за wiki :)
------- Comment #5 From 2005-08-15 14:05:31 -------
Этот ман написан чёрт знает с какой разметкой. Это была одна из самых первых
работ и перевод выполнялся "по живому" - вместо английского текста вписывался
русский - поэтому о разметке даже речи не шло. Его надо будет просто заново
переводить. Когда - это отдельный вопрос.
------- Comment #6 From 2005-08-15 14:36:37 -------
IMHO кривые места я высветил и по возможности предложил варианты.
Остальное - вполне нормально и с нуля переводить не обязательно.

Впрочем, мантейнеру виднее.
------- Comment #7 From 2005-08-15 19:17:53 -------
(In reply to comment #4)
> Насчет каталога - справка должна быть понятной и однородной. Есть в Linux 
> Documentation Project стандарты как переводить - значит надо их узнать и 
> выполнять. Нет - мой голос за "папку".
Предлагаю пользоваться engcom.
"Папка" - это folder, изобретение мелкософта.
http://www.etersoft.ru/engcom.php?
search_method=0&option=com_dictionary&task=search&word=directory
------- Comment #8 From 2005-08-16 13:49:53 -------
Безусловно. Но это хорошее изобретение. (какая нам раница - чьё? Майкрософт не 
отличался брезгливостью на пустом месте искупал хорошие проекты - и они правы! 
Они брали чужие хорошие идеи -и они правы!) 

И это маразм, если в консоли, в mc и в GUI будут разные переводы. Вы
собираетесь 
править Konqueror и Nautilus ?

Я тут зашел на http://www.botik.ru/~rldp - и никаких канонов не нашел. Печально
 :-/

Что мы хотим - продавить Линукс или продавить другой термин вместо "папка" ? 
Если первое - то не отпугивать пользователей, это важно.
"Папка" - термин простой, домашний, привычный в конце концов.
"Каталог", "Директория" - это из области высоко науки позднего СССР :-) Увидеть 
его - может быть еще одной каплей в пользу ощущения "юникс - это слооожно"

Когда вышла Win95, я, старый DOSятник, тоже ругался на "папку". Но сейчас - 
мейнстрим именно "папка" и IMHO удачный мейнстрим.
------- Comment #9 From 2007-03-15 07:30:08 -------
Fixed in man-pages-ru-0.98-alt10.